@use 'app_grid';
@use 'colors';
@use 'footer';
@use 'fonts';
@use 'forms';
@use 'gnome_brand';
@use 'header';
@use 'internship';
@use 'language_selector';
@use 'links';
@use 'splash';
@use 'tabbed';
@use 'warning';

@use 'page/app';
@use 'page/app/mock';
@use 'page/index';

:root {
  color-scheme: light dark;

  --text-color: var(--quiteblack);

  --icon-shadow:
        drop-shadow(0 1px 12px rgba(0,0,0,0.05))
        drop-shadow(0 -1px rgba(0,0,0,0.05))
        drop-shadow(1px 0 rgba(0,0,0,0.1))
        drop-shadow(0 1px rgba(0,0,0,0.3))
        drop-shadow(-1px 0 rgba(0,0,0,0.1));

  --background-color: var(--light1);

  --link-color: var(--blue4);
  --link-hover-color: var(--blue5);
  --card-hover-background: var(--light2);
  --box-background: var(--light2);
  --box-hover-background: var(--light3);

  --section-background: rgba(0,0,0,.02);

  --splash-text: white;
  --splash-color1: var(--green4);
  --splash-color2: var(--blue4);
  --splash-color3: var(--green5);

  --warning-color: #fff191;

  --mock-window-1: var(--light2);
  --mock-window-2: var(--background-color);
  --mock-window-border: var(--light3);
  --mock-control: #e6e6e6;
  --mock-headerbar: rgba(0, 0, 0, 2%);
  --mock-label: var(--dark1);

  --content-width: 720px;
  --footer-width: 900px;

  @media (prefers-color-scheme: dark) {
    --text-color: var(--light3);
    --background-color: #2d283c;

    --link-color: var(--blue1);
    --link-hover-color: var(--blue2);
    --card-hover-background: var(--dark4);
    --box-background: var(--dark4);
    --box-hover-background: var(--dark3);

    --section-background: rgba(0,0,0,.05);

    --splash-text: var(--light2);
    --splash-color1: #218c5b;
    --splash-color2: #144a8c;
    --splash-color3: #216446;

    --warning-color: #72540b;

    --mock-window-1: #3a3542;
    --mock-window-border: var(--dark3);
    --mock-control: #504e54;
    --mock-headerbar: rgba(255, 255, 255, 3%);
    --mock-label: var(--light4);
  }
}

body {
  margin: 0;
  background: var(--background-color);
  color: var(--text-color);
}

/* Position footer at bottom of window */

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;

  & > section {
    flex-grow: 1;
  }
}

.smaller-font {
  font-size: 17px;
  letter-spacing: -0.013em;
  line-height: 24px;
}

pre, .long li p {
  margin: 4px 0 12px;
}

ol.long {
  li {
    margin: 4px 0 12px;
  }
}

li p {
  margin: 0.15em 0;
}

code {
  font-size: 12pt;
  opacity: 0.85;
}

pre {
  line-height: 17pt;
  margin-left: 1em;
  margin-right: 1em;
  overflow: auto;
}

a, a:visited  {
  color: var(--link-color);
  text-decoration: none;

  &:active {
    position: relative;
    top: 1px;
    left: 1px;
  }

  &:hover {
    color: var(--link-hover-color);
  }
}

a.button {
  background-color: var(--gnomeblue);
  color: var(--white);
  display: inline-block;
  padding: 15px 40px;
  border-radius: 40px;
  font-weight: bold;
  min-width: 130px;
  text-align: center;
  transition: 200ms background-color;

  &:hover {
    background-color: var(--blue5);
    color: var(--white);
  }
}

p.button {
  margin: 20px 10px 25px;
}

section {
  &:nth-child(odd) {
    background-color: var(--section-background);
  }
   > div {
    margin-top: 50px;
    margin-bottom: 50px;
  }
}

section > div, .content-width, .footer-width {
  max-width: var(--content-width);
  margin-left: auto;
  margin-right: auto;
  padding: 0 30px;
}

.footer-width {
  max-width: var(--footer-width);
}

h1, h2, h3, h4 {

  a, a:visited, a:hover, a:visited:hover, a:active {
    color: inherit;
  }
}